Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Unable to add a user as a moderator using the admin portal

Using my superuser account, I am unable to add users to moderation group or infact do any sort of changes.

Following is the error I am seeing:

IntegrityError at /admin/auth/user/2/
update or delete on table "auth_user_groups" violates foreign key constraint "authusergroups_ptr_id_refs_id_e728db87" on table "askbot_groupmembership"
DETAIL:  Key (id)=(3) is still referenced from table "askbot_groupmembership".
Request Method: POST
Request URL:    http://172.19.32.112:8001/admin/auth/user/2/
Django Version: 1.5
Exception Type: IntegrityError
Exception Value:    
update or delete on table "auth_user_groups" violates foreign key constraint "authusergroups_ptr_id_refs_id_e728db87" on table "askbot_groupmembership"
DETAIL:  Key (id)=(3) is still referenced from table "askbot_groupmembership".
Exception Location: /usr/local/lib/python2.7/dist-packages/django/db/backends/postgresql_psycopg2/base.py in _commit, line 240
Python Executable:  /usr/bin/python
Python Version: 2.7.3
Python Path:    
['/home/nikhil/mysiter',
 '/usr/local/lib/python2.7/dist-packages/South-0.8.4-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/Coffin-0.3.8-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/lamson-1.3.4-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/django_keyedcache-1.4_6-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/django_celery-3.0.11-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/oauth2-1.5.211-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/Unidecode-0.04.14-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/markdown2-2.1.0-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/django_threaded_multihost-1.4_1-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/Jinja2-2.7.1-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/pytz-2013b-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/django_compressor-1.2-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/django_robots-0.9.2-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/django_picklefield-0.3.0-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/python_openid-2.2.5-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/akismet-0.2.0-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/django_countries-1.0.5-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/django_kombu-0.9.4-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/django_tinymce-1.5.1b2-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/django_followit-0.0.3-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/html5lib-0.90-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/django_recaptcha_works-0.3.4-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/longerusername-0.4-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/sanction-0.3.1-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/pystache-0.3.1-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/beautifulsoup4-4.3.2-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/python_modargs-1.7-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/python_daemon-1.6-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/nose-1.3.0-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/mock-1.0.1-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/celery-3.1.4-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/django_appconf-0.6-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/six-1.4.1-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/lockfile-0.9.1-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/kombu-3.0.5-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/billiard-3.3.0.7-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/amqp-1.3.3-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/anyjson-0.3.3-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/distribute-0.7.3-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/setuptools-1.4-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages',
 '/usr/lib/python2.7',
 '/usr/lib/python2.7/plat-linux2',
 '/usr/lib/python2.7/lib-tk',
 '/usr/lib/python2.7/lib-old',
 '/usr/lib/python2.7/lib-dynload',
 '/usr/lib/python2.7/dist-packages',
 '/usr/lib/python2.7/dist-packages/PIL',
 '/usr/lib/python2.7/dist-packages/gst-0.10',
 '/usr/lib/python2.7/dist-packages/gtk-2.0',
 '/usr/lib/python2.7/dist-packages/ubuntu-sso-client',
 '/usr/lib/python2.7/dist-packages/ubuntuone-client',
 '/usr/lib/python2.7/dist-packages/ubuntuone-control-panel',
 '/usr/lib/python2.7/dist-packages/ubuntuone-couch',
 '/usr/lib/python2.7/dist-packages/ubuntuone-installer',
 '/usr/lib/python2.7/dist-packages/ubuntuone-storage-protocol',